# Get entitlements (/docs/api/account/entitlements_get)

This org's plan, resolved limits (null means no cap), features and usage this month, including logged calls and overage blocks.

`GET /v1/entitlements`

```json
{
  "operationId": "entitlements_get",
  "summary": "Get entitlements",
  "description": "This org's plan, resolved limits (null means no cap), features and usage this month, including logged calls and overage blocks.",
  "tags": [
    "entitlements"
  ],
  "security": [
    {
      "bearer": []
    }
  ],
  "responses": {
    "200": {
      "description": "OK",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "object": {
                "type": "string",
                "enum": [
                  "entitlements"
                ]
              },
              "plan": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "string",
                    "enum": [
                      "free",
                      "pro",
                      "team",
                      "agency",
                      "enterprise"
                    ]
                  },
                  "name": {
                    "type": "string"
                  }
                },
                "required": [
                  "id",
                  "name"
                ]
              },
              "status": {
                "type": "string",
                "enum": [
                  "active",
                  "past_due",
                  "canceled"
                ]
              },
              "source": {
                "type": "string",
                "enum": [
                  "none",
                  "stripe",
                  "simulated"
                ]
              },
              "period_end": {
                "type": [
                  "string",
                  "null"
                ],
                "format": "date-time"
              },
              "limits": {
                "type": "object",
                "properties": {
                  "logged_calls_month": {
                    "type": [
                      "integer",
                      "null"
                    ],
                    "minimum": 0
                  },
                  "log_retention_days": {
                    "type": "integer",
                    "exclusiveMinimum": 0
                  },
                  "cached_records": {
                    "type": [
                      "integer",
                      "null"
                    ],
                    "minimum": 0
                  },
                  "bodies_bytes": {
                    "type": [
                      "integer",
                      "null"
                    ],
                    "minimum": 0
                  },
                  "workspaces": {
                    "type": [
                      "integer",
                      "null"
                    ],
                    "minimum": 0
                  },
                  "waterfalls": {
                    "type": [
                      "integer",
                      "null"
                    ],
                    "minimum": 0
                  },
                  "queues": {
                    "type": [
                      "integer",
                      "null"
                    ],
                    "minimum": 0
                  },
                  "api_keys": {
                    "type": [
                      "integer",
                      "null"
                    ],
                    "minimum": 0
                  },
                  "log_drains": {
                    "type": [
                      "integer",
                      "null"
                    ],
                    "minimum": 0
                  }
                },
                "required": [
                  "logged_calls_month",
                  "log_retention_days",
                  "cached_records",
                  "bodies_bytes",
                  "workspaces",
                  "waterfalls",
                  "queues",
                  "api_keys",
                  "log_drains"
                ]
              },
              "features": {
                "type": "object",
                "properties": {
                  "live_tail": {
                    "type": "boolean"
                  },
                  "mcp_api_sdk": {
                    "type": "boolean"
                  },
                  "log_drains": {
                    "anyOf": [
                      {
                        "type": "integer",
                        "minimum": 0
                      },
                      {
                        "type": "string",
                        "enum": [
                          "all"
                        ]
                      }
                    ]
                  },
                  "sql": {
                    "type": "boolean"
                  },
                  "anomaly_alerts": {
                    "type": "boolean"
                  },
                  "subscription_tracker": {
                    "type": "boolean"
                  },
                  "rebilling": {
                    "type": "boolean"
                  },
                  "white_label": {
                    "type": "boolean"
                  }
                },
                "required": [
                  "live_tail",
                  "mcp_api_sdk",
                  "log_drains",
                  "sql",
                  "anomaly_alerts",
                  "subscription_tracker",
                  "rebilling",
                  "white_label"
                ]
              },
              "managed_markup_pct": {
                "type": [
                  "number",
                  "null"
                ]
              },
              "usage": {
                "type": "object",
                "properties": {
                  "month": {
                    "type": "string",
                    "pattern": "^\\d{4}-\\d{2}$"
                  },
                  "logged_calls": {
                    "type": "integer",
                    "minimum": 0
                  },
                  "overage_blocks": {
                    "type": "integer",
                    "minimum": 0
                  },
                  "overage_micro": {
                    "type": "integer",
                    "minimum": 0
                  },
                  "api_keys": {
                    "type": [
                      "integer",
                      "null"
                    ],
                    "minimum": 0
                  },
                  "cached_records": {
                    "type": [
                      "integer",
                      "null"
                    ],
                    "minimum": 0
                  },
                  "bodies_bytes": {
                    "type": [
                      "integer",
                      "null"
                    ],
                    "minimum": 0
                  }
                },
                "required": [
                  "month",
                  "logged_calls",
                  "overage_blocks",
                  "overage_micro",
                  "api_keys",
                  "cached_records",
                  "bodies_bytes"
                ]
              }
            },
            "required": [
              "object",
              "plan",
              "status",
              "source",
              "period_end",
              "limits",
              "features",
              "managed_markup_pct",
              "usage"
            ]
          }
        }
      }
    },
    "default": {
      "description": "Error",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "error": {
                "type": "object",
                "properties": {
                  "code": {
                    "type": "string",
                    "enum": [
                      "invalid_request",
                      "unauthorized",
                      "insufficient_balance",
                      "max_cost_exceeded",
                      "scope_denied",
                      "budget_blocked",
                      "not_found",
                      "idempotency_mismatch",
                      "invalid_meta",
                      "rate_limited",
                      "upstream_error",
                      "response_buffer_limit",
                      "provider_capacity_unavailable",
                      "grid_saturated",
                      "upstream_timeout",
                      "conflict",
                      "internal_error",
                      "account_frozen",
                      "strict_filters",
                      "plan_limit_reached",
                      "validation_failed",
                      "deadline_exceeded",
                      "cancelled"
                    ]
                  },
                  "message": {
                    "type": "string"
                  },
                  "request_id": {
                    "type": "string"
                  },
                  "call_id": {
                    "type": "string"
                  },
                  "retry_after_ms": {
                    "type": "integer",
                    "minimum": 0
                  },
                  "details": {
                    "type": "object",
                    "additionalProperties": {}
                  }
                },
                "required": [
                  "code",
                  "message"
                ]
              }
            },
            "required": [
              "error"
            ]
          }
        }
      }
    }
  }
}
```
